> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Org Attach Payment Method

> Attach a Stripe payment method to the organization. Owner-only.
Idempotent: re-attaching an existing payment method just flips
`is_active=True` and re-stamps `attached_by_user_id`.



## OpenAPI

````yaml /openapi.json post /api/organizations/{org_id}/billing/payment-methods
openapi: 3.1.0
info:
  description: >-
    Public CodeCobra API. Authenticate by sending a personal API key in the
    `Authorization: Bearer <key>` header. Generate keys from Settings → API keys
    in the CodeCobra dashboard.
  title: CodeCobra Public API
  version: 1.0.0
servers: []
security: []
paths:
  /api/organizations/{org_id}/billing/payment-methods:
    post:
      tags:
        - public
      summary: Org Attach Payment Method
      description: |-
        Attach a Stripe payment method to the organization. Owner-only.
        Idempotent: re-attaching an existing payment method just flips
        `is_active=True` and re-stamps `attached_by_user_id`.
      operationId: >-
        org_attach_payment_method_api_organizations__org_id__billing_payment_methods_post
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            format: uuid
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationAttachPaymentMethodRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    OrganizationAttachPaymentMethodRequest:
      properties:
        payment_method_id:
          title: Payment Method Id
          type: string
      required:
        - payment_method_id
      title: OrganizationAttachPaymentMethodRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````